Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 220660 - Mounting loopback ISO images chrashes the system
Summary: Mounting loopback ISO images chrashes the system
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 427887
TreeView+ depends on / blocked
 
Reported: 2006-12-22 21:08 UTC by IBM Bug Proxy
Modified: 2008-02-08 04:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-08 04:27:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
IBM Linux Technology Center 29662 None None None Never

Description IBM Bug Proxy 2006-12-22 21:08:45 UTC
LTC Owner is: srinivds@in.ibm.com
LTC Originator is: TBLOTH@de.ibm.com


Hi all,

I played with ISO images on my FC6 installation on a JS21 blade.
When mounting an ISO image always the system crashed into dead.
It was reproducable  few times.

Hardware Environment
    JS21 Blade, PPC970MP


This is what I got through my SOL session.
-------------
...
audit(1164321995.887:79): avc:  denied  { read } for  pid=2969
comm="pam_console_app" name="/" dev=loop0 ino=1472
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:iso9660_t:s0 tclass=dir
audit(1164321995.887:80): avc:  denied  { read } for  pid=2966
comm="pam_console_app" name="/" dev=loop0 ino=1472
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:iso9660_t:s0 tclass=dir
audit(1164321995.887:81): avc:  denied  { read } for  pid=2969
comm="pam_console_app" name="/" dev=loop0 ino=1472
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:iso9660_t:s0 tclass=dir
audit(1164321995.887:82): avc:  denied  { read } for  pid=2966
comm="pam_console_app" name="/" dev=loop0 ino=1472
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:iso9660_t:s0 tclass=dir
BUG: soft lockup detected on CPU#0!
Call Trace:
[C00000000FFFB8B0] [C000000000010A50] .show_stack+0x68/0x1b0 (unreliable)
[C00000000FFFB950] [C0000000000A02D4] .softlockup_tick+0xec/0x124
[C00000000FFFB9F0] [C000000000073078] .run_local_timers+0x1c/0x30
[C00000000FFFBA70] [C000000000023D18] .timer_interrupt+0xa8/0x464
[C00000000FFFBB50] [C0000000000034EC] decrementer_common+0xec/0x100
--- Exception: 901 at .handle_IRQ_event+0x48/0xf8
    LR = .handle_fasteoi_irq+0xe4/0x188
[C00000000FFFBE40] [C000000000605EC0] 0xc000000000605ec0 (unreliable)
[C00000000FFFBEF0] [C0000000000A260C] .handle_fasteoi_irq+0xe4/0x188
[C00000000FFFBF90] [C000000000026D2C] .call_handle_irq+0x1c/0x2c
[C0000000148B3200] [C00000000000D244] .do_IRQ+0xf4/0x1a4
[C0000000148B3290] [C0000000000044EC] hardware_interrupt_entry+0xc/0x10
--- Exception: 501 at .vprintk+0x338/0x3bc
    LR = .vprintk+0x328/0x3bc
[C0000000148B3660] [C000000000064FB4] .printk+0x40/0xc8
[C0000000148B36F0] [C000000000098A14] .audit_log_end+0x114/0x174
[C0000000148B3780] [C00000000016BB08] .avc_audit+0x924/0x96c
[C0000000148B3890] [C00000000016BBBC] .avc_has_perm+0x6c/0x9c
[C0000000148B3970] [C00000000016DE34] .inode_has_perm+0x74/0x9c
[C0000000148B3A60] [C0000000000F1800] .permission+0x130/0x164
[C0000000148B3AF0] [C0000000000F30BC] .may_open+0x74/0x2d8
[C0000000148B3B90] [C0000000000F6318] .open_namei+0x304/0x884
[C0000000148B3C60] [C0000000000DC4C8] .do_filp_open+0x38/0x70
[C0000000148B3D80] [C0000000000DC574] .do_sys_open+0x74/0x130
[C0000000148B3E30] [C00000000000871C] syscall_exit+0x0/0x40
audit(1164322014.814:83): avc:  denied  { read } for  pid=2968
comm="pam_console_app" name="/" dev=loop0 ino=1472
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:iso9660_t:s0 tclass=dir
audit(1164322014.927:84): avc:  denied  { read } for  pid=2968
comm="pam_console_app" name="/" dev=loop0 ino=1472
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:iso9660_t:s0 tclass=dir
....
-------------

Another time it worked, but I also got some interesting messages in dmesg
-------
loop: loaded (max 8 devices)
ISO 9660 Extensions: RRIP_1991A
SELinux: initialized (dev loop0, type iso9660), uses genfs_contexts
audit(1164322794.868:4): avc:  denied  { read } for  pid=2540
comm="pam_console_app" name="/" dev=loop0 ino=1472
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:iso9660_t:s0 tclass=dir
audit(1164322794.868:5): avc:  denied  { read } for  pid=2540
comm="pam_console_app" name="/" dev=loop0 ino=1472
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:iso9660_t:s0 tclass=dir
audit(1164322794.872:6): avc:  denied  { read } for  pid=2543
comm="pam_console_app" name="/" dev=loop0 ino=1472
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:iso9660_t:s0 tclass=dir
audit(1164322794.873:7): avc:  denied  { read } for  pid=2543
comm="pam_console_app" name="/" dev=loop0 ino=1472
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:iso9660_t:s0 tclass=dir
audit(1164322794.873:8): avc:  denied  { read } for  pid=2543
comm="pam_console_app" name="/" dev=loop0 ino=1472
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:iso9660_t:s0 tclass=dir
audit(1164322794.873:9): avc:  denied  { read } for  pid=2543
comm="pam_console_app" name="/" dev=loop0 ino=1472
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:iso9660_t:s0 tclass=dir
audit(1164322794.873:10): avc:  denied  { read } for  pid=2543
comm="pam_console_app" name="/" dev=loop0 ino=1472
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:iso9660_t:s0 tclass=dir
audit(1164322794.874:11): avc:  denied  { read } for  pid=2543
comm="pam_console_app" name="/" dev=loop0 ino=1472
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:iso9660_t:s0 tclass=dir
audit(1164322794.874:12): avc:  denied  { read } for  pid=2543
comm="pam_console_app" name="/" dev=loop0 ino=1472
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:iso9660_t:s0 tclass=dir
audit(1164322794.874:13): avc:  denied  { read } for  pid=2543
comm="pam_console_app" name="/" dev=loop0 ino=1472
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:iso9660_t:s0 tclass=dir
audit(1164322794.874:14): avc:  denied  { read } for  pid=2543
comm="pam_console_app" name="/" dev=loop0 ino=1472
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:iso9660_t:s0 tclass=dir
audit(1164322794.874:15): avc:  denied  { read } for  pid=2543
comm="pam_console_app" name="/" dev=loop0 ino=1472
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:iso9660_t:s0 tclass=dir
audit(1164322794.874:16): avc:  denied  { read } for  pid=2543
comm="pam_console_app" name="/" dev=loop0 ino=1472
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:iso9660_t:s0 tclass=dir
audit(1164322797.505:17): avc:  denied  { read } for  pid=2540
comm="pam_console_app" name="/" dev=loop0 ino=1472
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:iso9660_t:s0 tclass=dir
audit(1164322797.710:18): avc:  denied  { read } for  pid=2540
comm="pam_console_app" name="/" dev=loop0 ino=1472
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:iso9660_t:s0 tclass=dir
audit(1164322797.934:19): avc:  denied  { read } for  pid=2540
comm="pam_console_app" name="/" dev=loop0 ino=1472
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:iso9660_t:s0 tclass=dir
audit(1164322798.157:20): avc:  denied  { read } for  pid=2540
comm="pam_console_app" name="/" dev=loop0 ino=1472
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:iso9660_t:s0 tclass=dir
audit(1164322798.381:21): avc:  denied  { read } for  pid=2540
comm="pam_console_app" name="/" dev=loop0 ino=1472
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:iso9660_t:s0 tclass=dir
audit(1164322798.604:22): avc:  denied  { read } for  pid=2540
comm="pam_console_app" name="/" dev=loop0 ino=1472
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:iso9660_t:s0 tclass=dir
audit(1164322798.827:23): avc:  denied  { read } for  pid=2540
comm="pam_console_app" name="/" dev=loop0 ino=1472
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:iso9660_t:s0 tclass=dir
audit(1164322799.051:24): avc:  denied  { read } for  pid=2540
comm="pam_console_app" name="/" dev=loop0 ino=1472
scontext=system_u:system_r:pam_console_t:s0-s0:c0.c1023
tcontext=system_u:object_r:iso9660_t:s0 tclass=dir
-------

Thanks
Torsten 
===============================================================

Temporary workaround is to set "setenforce 0".

===============================================================

Red Hat,
Mirroring this bug for your awarness and support.
-thanks.

Comment 1 IBM Bug Proxy 2007-06-11 04:45:46 UTC
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|ASSIGNED                    |REJECTED
         Resolution|                            |UNREPRODUCIBLE




------- Additional Comments From srinivds@in.ibm.com (prefers email at srinivasa@in.ibm.com)  2007-06-11 00:40 EDT -------
Since this bug is not reproducible on latest FC7, Iam  closing this bug.

Thanks
 Srinivasa DS 

Comment 2 Jon Stanley 2008-01-08 01:54:48 UTC
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!

Comment 3 Jon Stanley 2008-02-08 04:27:52 UTC
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!


Note You need to log in before you can comment on or make changes to this bug.